com.aliyun.svideosdk.editor

## Interface AliyunIPlayerController

-     public interface AliyunIPlayerController

  编辑播放控制相关接口

  v3.27.0新增

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCurrentPlayPosition()` 获取当前播放位置（受时间特效影响的），注意，时间单位为毫秒
    `long` | `getCurrentStreamPosition()` 获取当前流的位置（不受时间特效影响的），注意，时间单位为毫秒
    `long` | `getDuration()` 获取播放时长，注意，时间单位为毫秒
    `long` | `getStreamDuration()` 获取视频流时长，注意，时间单位为毫秒
    `boolean` | `isMute()` 获取是否处于静音状态
    `boolean` | `isPaused()` 状态获取,是否暂停
    `boolean` | `isPlaying()` Gets whether playback is in progress.
    `int` | `pause()` 暂停播放
    `int` | `play()` 开始播放
    `int` | `replay()` 重新开始播放
    `int` | `resume()` 恢复播放
    `int` | `seek(long time, java.util.concurrent.TimeUnit timeUnit)` seek到某个时间点
    `void` | `setMute(boolean mute)` 设置静音状态，该接口只对播放模式下有效，合成视频无法静音
    `int` | `setVolume(int volume)` 设置音量
    `int` | `stop()` 停止播放

- - ### Method Detail

    - #### play

          int play()

      开始播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_START_ERROR`

    - #### pause

          int pause()

      暂停播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_PAUSE_ERROR`

    - #### resume

          int resume()

      恢复播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_START_ERROR`

    - #### stop

          int stop()

      停止播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_STOP_ERROR`

    - #### replay

          int replay()

      重新开始播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_START_ERROR`

    - #### seek

          int seek(long time,
                   java.util.concurrent.TimeUnit timeUnit)

      seek到某个时间点
      Parameters:
        `time` - 时间点
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_SEEK_IN_OFFSET` `AliyunEditorErrorCode.SVIDEO_EDITOR_SEEK_ERROR` `AliyunEditorErrorCode.ALIVC_FRAMEWORK_AUDIO_PROCESS_SEEK_FAILED`

    - #### getCurrentStreamPosition

          long getCurrentStreamPosition()

      获取当前流的位置（不受时间特效影响的），注意，时间单位为毫秒
      Returns:
        当前播放位置（时间单位：毫秒）

    - #### getCurrentPlayPosition

          long getCurrentPlayPosition()

      获取当前播放位置（受时间特效影响的），注意，时间单位为毫秒
      Returns:
        当前播放位置（时间单位：毫秒）

    - #### getStreamDuration

          long getStreamDuration()

      获取视频流时长，注意，时间单位为毫秒
      Returns:
        视频流时长（时间单位：毫秒）

    - #### getDuration

          long getDuration()

      获取播放时长，注意，时间单位为毫秒
      Returns:
        播放时长（时间单位：毫秒）

    - #### isPlaying

          boolean isPlaying()

      Gets whether playback is in progress.

    - #### isPaused

          boolean isPaused()

      状态获取,是否暂停

    - #### isMute

          boolean isMute()

      获取是否处于静音状态
      Returns:
        true 处于静音状态 false 没有静音

    - #### setMute

          void setMute(boolean mute)

      设置静音状态，该接口只对播放模式下有效，合成视频无法静音
      Parameters:
        `mute` - true 设置为静音状态 false 消除静音状态

    - #### setVolume

          int setVolume(int volume)

      设置音量
      Parameters:
        `volume` - 音量值为[0,100]，为0则静音，100则音量最大,默认音量值是50
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.ALIVC_FRAMEWORK_AUDIO_PROCESS_CTL_INPUT_ERROR`